# manual.c File Reference

## Classes
struct | Object
struct | Vehicle
struct | Car
struct | Truck
## Typedefs
typedef struct Object | Object
| Object type.
typedef struct Vehicle | Vehicle
| Vehicle type.
typedef struct Car | Car
| Car type.
typedef struct Truck | Truck
| Truck type.
## Functions
int | main (void)

## Detailed Description

## Function Documentation

int main | ( | void |  | ) |

Main function.

Ref vehicleStart(), objRef(), objUnref().

References Vehicle::vehicleStart().

    00083 {
    00084   Car c;
    00085   vehicleStart((Vehicle*) &c);
    00086 }